> For the complete documentation index, see [llms.txt](https://docs.pylenium.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pylenium.io/element-commands/actions/check.md).

# check

## Syntax

```python
Element.check() -> Element
Element.check(allow_selected=False) -> Element
```

## Usage

{% code title="correct usage" %}

```python
# check a radio button
py.get("[type='radio']").check()

---or---

# check a box
py.get("[type='checkbox']").check()
```

{% endcode %}

{% code title="incorrect usage" %}

```python
# Errors, 'get' yields an Element that is not a checkbox or radio button
py.get("a").check()
```

{% endcode %}

## Arguments

* <mark style="color:purple;">`allow_selected=False (bool)`</mark> - If **True,** do not raise an error if the box or radio button to check is *already* selected.

{% hint style="info" %}
Default is **False** because why would you want to select a box that's already selected?
{% endhint %}

## Yields

* <mark style="color:orange;">**Element**</mark> - The current instance so you can chain commands

## Raises

* <mark style="color:yellow;">**ValueError**</mark> if the element is selected already. Set `allow_selected` to **True** to ignore this.
* <mark style="color:yellow;">**ValueError**</mark> if the element is not a checkbox or radio button

## Examples

Given this HTML:

```html
<form id="checkboxes">
    <input type="checkbox">
    checkbox 1
    <br>
    <input type="checkbox" checked="">
    checkbox 2
  </form>
```

We can *check* the first checkbox:

```python
def test_check_the_box(py: Pylenium):
    py.visit("https://the-internet.herokuapp.com/checkboxes")
    checkbox = py.get("input").check()
    assert checkbox.should().be_checked()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pylenium.io/element-commands/actions/check.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
